## node-remark-slide 0.15.0+ds

=== Makefile ===
all: deps
	node make all

deps:
	npm install

test:
	node make test

bundle:
	node make bundle

highlighter:
	node make highlighter

.PHONY: deps test bundle highlighter

=== debian/changelog ===
node-remark-slide (0.15.0+ds-2) unstable; urgency=medium

  * Source-only upload for transition to testing.
  * debian/gbp.conf
    - Add git-buildpackage config file to set debian branch.

 -- Doug Torrance <dtorrance@debian.org>  Mon, 07 Mar 2022 05:28:48 -0500

node-remark-slide (0.15.0+ds-1) unstable; urgency=medium

  * Initial release (Closes: #1006721).

 -- Doug Torrance <dtorrance@debian.org>  Thu, 03 Mar 2022 07:25:16 -0500

=== debian/control ===
Source: node-remark-slide
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Doug Torrance <dtorrance@debian.org>
Testsuite: autopkgtest-pkg-nodejs
Build-Depends: debhelper-compat (= 13),
               dh-sequence-nodejs,
               node-browserify,
               node-extend,
               node-highlight.js,
               node-less,
               node-marked,
               node-shelljs,
               node-should,
               node-should-sinon,
               node-sinon,
               uglifyjs
Standards-Version: 4.6.0
Homepage: https://remarkjs.com/
Vcs-Git: https://salsa.debian.org/js-team/node-remark-slide.git
Vcs-Browser: https://salsa.debian.org/js-team/node-remark-slide
Rules-Requires-Root: no

Package: node-remark-slide
Architecture: all
Depends: ${misc:Depends}
Suggests: fonts-ubuntu, fonts-yanone-kaffeesatz, texlive-fonts-extra
Description: simple, in-browser, markdown-driven slideshow tool (node module)
 A simple, in-browser, markdown-driven slideshow tool targeted at
 people who know their way around HTML and CSS, featuring:
 .
  * Markdown formatting, with smart extensions
  * Presenter mode with markdown formatted speaker notes and cloned
    slideshow view
  * Syntax highlighting, supporting a range of languages
  * Slide scaling, thus similar appearance on all devices / resolutions
  * Simple markdown templates for customized slides
  * Touch support for smart phones and pads, i.e. swipe to navigate
    slides
 .
 This package contains the node module.

Package: libjs-remark-slide
Architecture: all
Depends: ${misc:Depends}
Recommends: javascript-common
Suggests: fonts-ubuntu, fonts-yanone-kaffeesatz, texlive-fonts-extra
Description: simple, in-browser, markdown-driven slideshow tool (browser)
 A simple, in-browser, markdown-driven slideshow tool targeted at
 people who know their way around HTML and CSS, featuring:
 .
  * Markdown formatting, with smart extensions
  * Presenter mode with markdown formatted speaker notes and cloned
   slideshow view
  * Syntax highlighting, supporting a range of languages
  * Slide scaling, thus similar appearance on all devices / resolutions
  * Simple markdown templates for customized slides
  * Touch support for smart phones and pads, i.e. swipe to navigate
    slides
 .
 This package contains the browser library.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_test:
#	mocha-chrome test/runner.html (mocha-chrome not in debian)

# avoid privacy-breach-generic lintian warning
override_dh_install:
	dh_install -Xboilerplate-remote

# fix path in example html file
execute_after_dh_installexamples:
	sed -i 's|out/|../../../javascript/remark-slide/|' \
		debian/libjs-remark-slide/usr/share/doc/libjs-remark-slide/\
examples/boilerplate-local.html

=== debian/watch ===
version=4
opts=dversionmangle=auto,repacksuffix=+ds \
https://github.com/gnab/remark/tags .*/v@ANY_VERSION@@ARCHIVE_EXT@
